package com.xintong.visualinspection.dao.master;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.Score;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface ScoreDao  {
    public List<Score> getAll();
    public Score getOne(Long id);
    public List<Score> getScoreList(Score score);
    public List<Score> getScoreListByTaskId(Long task_id);
    public void insert(Score score);
    public void update(Score score);
    public void updateByTaskIdAndPerson(Score score);
    public void delete(Long id);
    public List<Score> getTopRemarkList(Map<String,Object> param);
    public void updateFormerScore(Score score);
    public void updateNowScore(Score score);
}
